Results 1 to 6 of 6

Thread: Brother MFC J280W compatibility

  1. #1
    Join Date
    Feb 2011
    Beans
    77

    Brother MFC J280W compatibility

    Hi,
    I am trying to install this printer in ubuntu 12.04 LTS but I encounter the problem of driver downlaoding. I went to Brother's website and tried to install both LPR and cupswrapper driver but when I first install LPR driver it gives me a message of "The package is of Bad quality. The installation of a package which violates the quality standards isn't allowed. This could cause serious problems on your computer. Please contact the person or organisation who provided this package file and include the details beneath." Is there any easy way to install this printer?

    Thanks a dozen.

  2. #2
    Join Date
    Jul 2012
    Location
    Dhaka
    Beans
    259
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Brother MFC J280W compatibility

    Hope from this post you'll get good support.

    http://ubuntuforums.org/showthread.php?t=2087489

    Let us know, if you are successful about this printer on Ubuntu.
    Last edited by uzumakifahim; April 20th, 2013 at 07:05 PM. Reason: mistake

  3. #3
    Join Date
    Feb 2011
    Beans
    77

    Re: Brother MFC J280W compatibility

    but in this post it doesn't mention anythinga 'bout the message i am getting?

  4. #4
    Join Date
    Apr 2005
    Beans
    1,739

    Re: Brother MFC J280W compatibility

    hi there linux user;

    my tuppence happeny worth........

    Brother provide an installer......that should automate the install for you.........

    post #5 in this thread

    http://ubuntuforums.org/showthread.p...7#post12342527

    gives a very detailed description of what mambo did to get it all working........can I suggest you try the Brother installer and see if it helps you?

    he called it mambo801.sh but you could call it user_linux.sh as it is yours

  5. #5
    Join Date
    Sep 2011
    Location
    Pennsylvania, U.S.A.
    Beans
    1,847
    Distro
    Ubuntu Development Release

    Re: Brother MFC J280W compatibility

    Brother offers an installer script which I've used with success. Here are the instructions on Brother's site:

    http://welcome.solutions.brother.com...rn.html#f00104

    I found downloading the script a bit unintuitive but once I figured it out it's worked okay. One caution though. I just used that script a couple days ago and it found a BUNCH of updates and asked me if I wanted to install them. I declined then the Brother software installed as expected. The printer works fine. After the printer software finished installing I reran "sudo apt-get update" then "sudo apt-get dist-upgrade". There were not a great number of updates available. I don't know what the Brother script found but heads-up on that. I use gnome shell and the printer administration app sucks. I don't know what Unity uses. The old printer admin app is available in the repositories so I installed it from there. The name is system-config-printer-gnome. That app offers much more information and more options. I created a desktop launcher to make my life simpler.

  6. #6
    Join Date
    Feb 2011
    Beans
    77

    Re: Brother MFC J280W compatibility

    Thanks a lot. I really appreciate the help!

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •